Upgrading from 12.0(5.2)XU to 12.4(11)T issues?

Unanswered Question
May 25th, 2007

I'm about to upgrade 7 catalyst 2900 and 3500 switches from IOS 12.0(5.2)XU to 12.4(11)T

Will it be ok to go from A to B or do I have to upgrade incrementally?

The 2 IOS versions are about 8 years apart, and I want to make sure I can do an upgrade in one shot, or if should upgrade it to a certain minimum, then upgrade again to the lates?

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
glen.grant Thu, 05/31/2007 - 10:04

12.4.11T is not a valid release for those old layer 2 switches . The last valid release they had for those is 12.0.5-WC17(ED), you would have to use that version. The image you gave looks like it is a router IOS .

jesusdamian Thu, 05/31/2007 - 10:14

you are right. it looks like 12.0.5-WC17(ED)

is the most current available for the L2 swtich.

However, trying to upgrade, I now run into another issue.

Uploading the image.

Determining the total flash size.

Extracting the info file from the tar image.

Reading the info file of the tar image file.

Actual free space 361472

Required Space 2923984

Software upgrade failed.

There is insufficient flash space for the new image.

Total free space required is 2923984 bytes.

Remove unwanted files from the flash and upgrade again.

Software upgrade failed.

3MB is require to be free, but the total size of my flash is 3MB. How can I upgrade the switch? Do I delete everything on the flash including the current boot image?


This Discussion